Module javafx.graphics
Package javafx.scene.paint

# Class Material

java.lang.Object
javafx.scene.paint.Material

Direct Known Subclasses:
  `PhongMaterial`

public abstract class Material extends Object
Base class for representing the material of a 3D surface. Note that this is a conditional feature. See `ConditionalFeature.SCENE3D` for more information.

Since:
  JavaFX 8.0

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Material()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Material

protected Material()